Skip to content

Report the acknowledged event seq of a pouch

PUT
/v1/devices/me/cursor
curl --request PUT \
--url https://app.skillpouch.net/v1/devices/me/cursor \
--header 'Content-Type: application/json' \
--data '{ "pouch_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "epoch": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "acked_seq": 1 }'
Media typeapplication/json
object
pouch_id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
epoch
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
acked_seq
required
integer
<= 9007199254740991

Example generated

{
"pouch_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"epoch": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"acked_seq": 1
}

Default Response

Media typeapplication/json
object
ok
required
boolean
data
required
object
meta
required
object
request_id
required
string
next_cursor
string | null

Example

{
"ok": true
}